Subject: [Gendispatch] Feedback on removing draft expiration

From: "Martin Thomson" <[email-masked]>
Date: Wed, 20 Nov 2019 11:22:09 +0800

I talked to stream managers and RSE.  From those people acting as stream managers, there was no reason to object to a change like this.  That said, as individuals, those same people expressed sentiments ranging from "doesn't matter at all" to "terrible idea".

I'm going to ask for wider feedback (IRSG, IAB, and ISEB in particular), but believe that it is appropriate for the IETF to make this decision.  As ekr observed, the boilerplate clearly identifies drafts as working documents of the IETF, even when they are clearly intended for IRTF discussion, IAB program input, or submitted for independent submission.

The draft needs a minor revision anyway; I intend to do that prior to asking for feedback.